.silent

cflags = -otexan -zq

ocphhc.exe: ocphhc.obj adler32.obj compress.obj deflate.obj trees.obj zutil.obj
  @echo $@
  %write ocphhc.lnk file { $< }
  %write ocphhc.lnk name $@
  %write ocphhc.lnk system dos4g option { map dosseg quiet }
  wlink @ocphhc.lnk
  del ocphhc.lnk > nul

.cpp.obj:
	@echo $@
	wpp386 $(cflags) $<

.c.obj:
	@echo $@
	wpp386 $(cflags) $<

clean: .symbolic
	if exist *.exe del *.exe >nul
	if exist *.obj del *.obj >nul
	if exist *.map del *.map >nul
